package com.dao;



import com.entity.DonationType;

import java.util.List;
import java.util.Map;


public interface DonationTypeMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(DonationType donationType);

    int insertSelective(DonationType donationType);

    DonationType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DonationType donationType);

    int updateByPrimaryKey(DonationType donationType);

    DonationType checkName(Map<String, Object> name);
    //  查询所有信息
    List<DonationType> getAll(Map<String, Object> map);
    //  获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<DonationType> getByPage(Map<String, Object> map);


}
